# $Revision: 1.20 $, $Date: 2002/08/03 11:32:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	ShareLite
Summary:	IPC::ShareLite Perl module
Summary(cs):	Modul IPC::ShareLite pro Perl
Summary(da):	Perlmodul IPC::ShareLite
Summary(de):	IPC::ShareLite Perl Modul
Summary(es):	Mdulo de Perl IPC::ShareLite
Summary(fr):	Module Perl IPC::ShareLite
Summary(it):	Modulo di Perl IPC::ShareLite
Summary(ja):	IPC::ShareLite Perl ⥸塼
Summary(ko):	IPC::ShareLite  
Summary(no):	Perlmodul IPC::ShareLite
Summary(pl):	Modu Perla IPC::ShareLite
Summary(pt):	Mdulo de Perl IPC::ShareLite
Summary(pt_BR):	Mdulo Perl IPC::ShareLite
Summary(ru):	  Perl IPC::ShareLite
Summary(sv):	IPC::ShareLite Perlmodul
Summary(uk):	  Perl IPC::ShareLite
Summary(zh_CN):	IPC::ShareLite Perl ģ
Name:		perl-IPC-ShareLite
Version:	0.08
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::ShareLite provides a simple interface to shared memory, allowing
data to be efficiently communicated between processes. Your operating
system must support SysV IPC (shared memory and semaphores) in order
to use this module.

%description -l pl
IPC::ShareLite udostpnia prosty interfejs do pamici wsplnej,
umoliwaiajc wydajn wymian danych pomidzy procesami. Aby
korzystanie z tego moduu byo moliwe, System operacyjny musi
wspiera SysV IPC (pami wsplna i semafory).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL </dev/null
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_sitearch}/IPC/ShareLite.pm
%dir %{perl_sitearch}/auto/IPC/ShareLite
%{perl_sitearch}/auto/IPC/ShareLite/autosplit.ix
%{perl_sitearch}/auto/IPC/ShareLite/ShareLite.bs
%attr(755,root,root) %{perl_sitearch}/auto/IPC/ShareLite/ShareLite.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-IPC-ShareLite.spec,v $
Revision 1.20  2002/08/03 11:32:52  ankry
- translatins, cleaning
- added test on BCond
- don't suggest that Makefile.PL reads from FIFO
- new description
- added autosplit.ix
- release 7

Revision 1.19  2002/07/20 07:14:31  qboosh
- removed autosplit.ix, new %%doc
- release 6

Revision 1.18  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:17:45  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:27:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.10  2001/04/17 12:11:18  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/10 23:56:45  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.6  2000/09/25 05:59:00  kloczek
- updated to 0.08.

Revision 1.5  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 20:33:35  pius
- initial release
